## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# For translations, check docs/*/docs/index.md
# Note that there are many other localized versions of the documentation
# *present*, but untranslated.
%global sum_en  FastAPI framework
%global sum_es  FastAPI framework
%global sum_ja  FastAPI framework
%global sum_ko  FastAPI 프레임워크
%global sum_pl  FastAPI to szybki
%global sum_pt  Framework FastAPI
%global sum_tr  FastAPI framework
%global sum_zh  FastAPI 框架

Name:           python-fastapi
Version:        0.78.0
Release:        %autorelease
Summary:        %{sum_en}

License:        MIT
URL:            https://github.com/tiangolo/fastapi
Source0:        %{url}/archive/%{version}/fastapi-%{version}.tar.gz
BuildArch:      noarch

# Fix sql_app_py39 and py310 tests
# https://github.com/tiangolo/fastapi/pull/4409
Patch:         %{url}/pull/4409.patch

BuildRequires:  python3-devel

Obsoletes:      python-fastapi-doc < 0.68.1-6

Summary(en):    %{sum_en}
Summary(es):    %{sum_es}
Summary(ja):    %{sum_ja}
Summary(ko):    %{sum_ko}
Summary(pl):    %{sum_pl}
Summary(pt):    %{sum_pt}
Summary(tr):    %{sum_tr}
Summary(zh):    %{sum_zh}

%global common_description_en %{expand:
FastAPI is a modern, fast (high-performance), web framework for building APIs
with Python 3.6+ based on standard Python type hints.

The key features are:

  • Fast: Very high performance, on par with NodeJS and Go (thanks to Starlette
    and Pydantic). One of the fastest Python frameworks available.

  • Fast to code: Increase the speed to develop features by about 200% to 300%.*
  • Fewer bugs: Reduce about 40% of human (developer) induced errors.*
  • Intuitive: Great editor support. Completion everywhere. Less time
    debugging.
  • Easy: Designed to be easy to use and learn. Less time reading docs.
  • Short: Minimize code duplication. Multiple features from each parameter
    declaration. Fewer bugs.
  • Robust: Get production-ready code. With automatic interactive
    documentation.
  • Standards-based: Based on (and fully compatible with) the open standards
    for APIs: OpenAPI (previously known as Swagger) and JSON Schema.

* estimation based on tests on an internal development team, building production
  applications.}
%global common_description_es %{expand:
FastAPI es un web framework moderno y rápido (de alto rendimiento) para
construir APIs con Python 3.6+ basado en las anotaciones de tipos estándar de
Python.

Sus características principales son:

  • Rapidez: Alto rendimiento, a la par con NodeJS y Go (gracias a
    Starlette y Pydantic). Uno de los frameworks de Python más rápidos.

  • Rápido de programar: Incrementa la velocidad de desarrollo entre 200% y
    300%.*
  • Menos errores: Reduce los errores humanos (de programador) aproximadamente
    un 40%.*
  • Intuitivo: Gran soporte en los editores con auto completado en todas
    partes. Gasta menos tiempo debugging.
  • Fácil: Está diseñado para ser fácil de usar y aprender. Gastando menos
    tiempo leyendo documentación.
  • Corto: Minimiza la duplicación de código. Múltiples funcionalidades con
    cada declaración de parámetros. Menos errores.
  • Robusto: Crea código listo para producción con documentación automática
    interactiva.
  • Basado en estándares: Basado y totalmente compatible con los estándares
    abiertos para APIs: OpenAPI (conocido previamente como Swagger) y JSON
    Schema.

* Esta estimación está basada en pruebas con un equipo de desarrollo interno
  contruyendo aplicaciones listas para producción.}
%global common_description_ja %{expand:
FastAPI は、Pythonの標準である型ヒントに基づいてPython 3.6 以降でAPI
を構築するための、モダンで、高速(高パフォーマンス)な、Web フレームワークです。

主な特徴:

  - 高速: NodeJS や Go 並みのとても高いパフォーマンス (Starlette と Pydantic
    のおかげです)。最も高速な Python フレームワークの一つです。

  - 高速なコーディング: 開発速度を約 200%~300%向上させます。 *
  - 少ないバグ: 開発者起因のヒューマンエラーを約 40％削減します。 *
  - 直感的: 素晴らしいエディタのサポートや オートコンプリート。
    デバッグ時間を削減します。
  - 簡単: 簡単に利用、習得できるようにデザインされています。
    ドキュメントを読む時間を削減します。
  - 短い: コードの重複を最小限にしています。
    各パラメータからの複数の機能。少ないバグ。
  - 堅牢性:
    自動対話ドキュメントを使用して、本番環境で使用できるコードを取得します。
  - Standards-based: API
    のオープンスタンダードに基づいており、完全に互換性があります: OpenAPI
    (以前は Swagger として知られていました) や JSON スキーマ.

* 本番アプリケーションを構築している開発チームのテストによる見積もり。}
%global common_description_ko %{expand:
FastAPI는 현대적이고, 빠르며(고성능), 파이썬 표준 타입 힌트에 기초한
Python3.6+의 API를 빌드하기 위한 웹 프레임워크입니다.

주요 특징으로:

  • 빠름: (Starlette과 Pydantic 덕분에) NodeJS 및 Go와 대등할 정도로 매우 높은
    성능. 사용 가능한 가장 빠른 파이썬 프레임워크 중 하나.

  • 빠른 코드 작성: 약 200%에서 300%까지 기능 개발 속도 증가.*
  • 적은 버그: 사람(개발자)에 의한 에러 약 40% 감소.*
  • 직관적: 훌륭한 편집기 지원. 모든 곳에서 자동완성. 적은 디버깅 시간.
  • 쉬움: 쉽게 사용하고 배우도록 설계. 적은 문서 읽기 시간.
  • 짧음: 코드 중복 최소화. 각 매개변수 선언의 여러 기능. 적은 버그.
  • 견고함: 준비된 프로덕션 용 코드를 얻으십시오. 자동 대화형 문서와 함께.
  • 표준 기반: API에 대한 (완전히 호환되는) 개방형 표준 기반: OpenAPI (이전에
    Swagger로 알려졌던) 및 JSON 스키마.

* 내부 개발팀의 프로덕션 애플리케이션을 빌드한 테스트에 근거한 측정}
%global common_description_pl %{expand:
FastAPI to nowoczesny, wydajny framework webowy do budowania API z użyciem
Pythona 3.6+ bazujący na standardowym typowaniu Pythona.

Kluczowe cechy:

  • Wydajność: FastAPI jest bardzo wydajny, na równi z NodeJS oraz Go (dzięki
    Starlette i Pydantic). Jeden z najszybszych dostępnych frameworków
    Pythonowych.
  • Szybkość kodowania: Przyśpiesza szybkość pisania nowych funkcjonalności o
    około 200% do 300%.*
  • Mniejsza ilość błędów: Zmniejsza ilość ludzkich (dewelopera) błędy o około
    40%.*
  • Intuicyjność: Wspaniałe wsparcie dla edytorów kodu. Dostępne wszędzie
    automatyczne uzupełnianie kodu. Krótszy czas debugowania.
  • Łatwość: Zaprojektowany by być prosty i łatwy do nauczenia. Mniej czasu
    spędzonego na czytanie dokumentacji.
  • Kompaktowość: Minimalizacja powtarzającego się kodu. Wiele funkcjonalności
    dla każdej deklaracji parametru. Mniej błędów.
  • Solidność: Kod gotowy dla środowiska produkcyjnego. Wraz z automatyczną
    interaktywną dokumentacją.
  • Bazujący na standardach: Oparty na (i w pełni kompatybilny z) otwartych
    standardach API: OpenAPI (wcześniej znane jako Swagger) oraz JSON Schema.

* oszacowania bazowane na testach wykonanych przez wewnętrzny zespół
  deweloperów, budujących aplikacie używane na środowisku produkcyjnym.}
%global common_description_pt %{expand:
FastAPI é um moderno e rápido (alta performance) framework web para construção
de APIs com Python 3.6 ou superior, baseado nos type hints padrões do Python.

Os recursos chave são:

  • Rápido: alta performance, equivalente a NodeJS e Go (graças ao Starlette e
    Pydantic). Um dos frameworks mais rápidos disponíveis.
  • Rápido para codar: Aumenta a velocidade para desenvolver recursos entre
    200% a 300%.*
  • Poucos bugs: Reduz cerca de 40% de erros induzidos por humanos
    (desenvolvedores).*
  • Intuitivo: Grande suporte a IDEs. Auto-Complete em todos os lugares. Menos
    tempo debugando.
  • Fácil: Projetado para ser fácil de aprender e usar. Menos tempo lendo
    documentação.
  • Enxuto: Minimize duplicação de código. Múltiplos recursos para cada
    declaração de parâmetro. Menos bugs.
  • Robusto: Tenha código pronto para produção. E com documentação interativa
    automática.
  • Baseado em padrões: Baseado em (e totalmente compatível com) os padrões
    abertos para APIs: OpenAPI (anteriormente conhecido como Swagger) e JSON
    Schema.

* estimativas baseadas em testes realizados com equipe interna de
  desenvolvimento, construindo aplicações em produção.}
%global common_description_tr %{expand:
FastAPI, Python 3.6+'nın standart type hintlerine dayanan modern ve hızlı
(yüksek performanslı) API'lar oluşturmak için kullanılabilecek web framework'ü.

Ana özellikleri:

  • Hızlı: çok yüksek performanslı, NodeJS ve Go ile eşdeğer seviyede
  performans sağlıyor, (Starlette ve Pydantic sayesinde.) Python'un en hızlı
  frameworklerinden bir tanesi.

  • Kodlaması hızlı: Yeni özellikler geliştirmek neredeyse %200 - %300 daha hızlı.*
  • Daha az bug: Geliştirici (insan) kaynaklı hatalar neredeyse %40 azaltıldı.*
  • Sezgileri güçlü: Editor (otomatik-tamamlama) desteği harika. Otomatik
    tamamlama her yerde. Debuglamak ile daha az zaman harcayacaksınız.
  • Kolay: Öğrenmesi ve kullanması kolay olacak şekilde. Doküman okumak için
    harcayacağınız süre azaltıldı.
  • Kısa: Kod tekrarını minimuma indirdik. Fonksiyon parametrelerinin tiplerini
    belirtmede farklı yollar sunarak karşılaşacağınız bug'ları azalttık.
  • Güçlü: Otomatik dokümantasyon ile beraber, kullanıma hazır kod yaz.
  • Standartlar belirli: Tamamiyle API'ların açık standartlara bağlı ve (tam
    uyumlululuk içerisinde); OpenAPI (eski adıyla Swagger) ve JSON Schema.

* Bahsi geçen rakamsal ifadeler tamamiyle, geliştirme takımının kendi
  sundukları ürünü geliştirirken yaptıkları testlere dayanmakta.}
%global common_description_zh %{expand:
FastAPI 是一个用于构建 API 的现代、快速（高性能）的 web 框架，使用 Python 3.6+
并基于标准的 Python 类型提示。

关键特性:

  • 快速：可与 NodeJS 和 Go 比肩的极高性能（归功于 Starlette 和 Pydantic）。
    最快的 Python web 框架之一。
  • 高效编码：提高功能开发速度约 200％ 至 300％。*
  • 更少 bug：减少约 40％ 的人为（开发者）导致错误。*
  • 智能：极佳的编辑器支持。处处皆可自动补全，减少调试时间。
  • 简单：设计的易于使用和学习，阅读文档的时间更短。
  • 简短：使代码重复最小化。通过不同的参数声明实现丰富功能。bug 更少。
  • 健壮：生产可用级别的代码。还有自动生成的交互式文档。
  • 标准化：基于（并完全兼容）API 的相关开放标准：OpenAPI (以前被称为 Swagger)
    和 JSON Schema。

* 根据对某个构建线上应用的内部开发团队所进行的测试估算得出。}

%description %{common_description_en}

%description -l en %{common_description_en}
%description -l es %{common_description_es}
%description -l ja %{common_description_ja}
%description -l ko %{common_description_ko}
%description -l pl %{common_description_pl}
%description -l pt %{common_description_pt}
%description -l tr %{common_description_tr}
%description -l zh %{common_description_zh}


%pyproject_extras_subpkg -n python3-fastapi all


%package -n     python3-fastapi
Summary:        %{sum_en}

Summary(en):    %{sum_en}
Summary(es):    %%{sum_es}
Summary(ja):    %{sum_ja}
Summary(ko):    %{sum_ko}
Summary(pl):    %{sum_pl}
Summary(pt):    %{sum_pt}
Summary(tr):    %{sum_tr}
Summary(zh):    %{sum_zh}

%description -n python3-fastapi %{common_description_en}

%description -n python3-fastapi -l en %{common_description_en}
%description -n python3-fastapi -l es %{common_description_es}
%description -n python3-fastapi -l ja %{common_description_ja}
%description -n python3-fastapi -l ko %{common_description_ko}
%description -n python3-fastapi -l pl %{common_description_pl}
%description -n python3-fastapi -l pt %{common_description_pt}
%description -n python3-fastapi -l tr %{common_description_tr}
%description -n python3-fastapi -l zh %{common_description_zh}


%prep
%autosetup -n fastapi-%{version} -p1

# Comment out all dependencies on orjson (for ORJSONResponse); it cannot be
# packaged in Fedora until it builds with the stable Rust toolchain instead of
# the nightly one. Note that this removes it from the “all” extra metapackage.
sed -r -i 's/("orjson\b.*",)/# \1/' pyproject.toml
# Comment out test dependencies that are only for linting/formatting/analysis,
# and will not be used.
sed -r -i 's/("(mypy|black|flake8|isort|autoflake)\b.*",)/# \1/' pyproject.toml
# We won’t be running a type checker (mypy), so we don’t need any
# auto-generated PEP 561 stub packages:
sed -r -i 's/("types-(u|or)json\b.*",)/# \1/' pyproject.toml
# Selectively allow newer versions for certain tightly-pinned dependencies:
sed -r -i 's/("((databases|httpx|pytest)\b)[^<"]*),[[:blank:]]*<[^"]*/\1/' \
    pyproject.toml

# Remove bundled js-termynal 0.0.1; since we are not building documentation, we
# do this very bluntly:
rm -rvf docs/*/docs/js docs/*/docs/css


%generate_buildrequires
# Tests under tests/test_tutorial may require dependencies that are only in the
# dev extra.
%pyproject_buildrequires -x all,test,dev


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fastapi


%check
# Requires orjson:
#   tests/test_tutorial/test_custom_response/test_tutorial001b.py
#   tests/test_default_response_class.py
%pytest \
    --ignore=tests/test_tutorial/test_custom_response/test_tutorial001b.py \
    --ignore=tests/test_default_response_class.py


%files -n python3-fastapi -f %{pyproject_files}
%license LICENSE
%doc CONTRIBUTING.md
%doc README.md


%changelog
* Tue May 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.78.0-2
- Allow python-databases 0.6.0

* Mon May 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.78.0-1
- Update to 0.78.0 (close RHBZ#2086229)

* Wed May 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.77.1-1
- Update to 0.77.1 (close RHBZ#2083431)

* Mon May 09 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.76.0-2
- Incorporate maintainer’s fixes for backported PR#4488

* Fri May 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.76.0-1
- Update to 0.76.0 (close RHBZ#2082374)

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.75.2-1
- Update to 0.75.2 (close RHBZ#2076105)

* Fri Apr 08 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.75.1-1
- Update to 0.75.1 (close RHBZ#2071136)

* Fri Apr 08 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.75.0-4
- Use an updated upstream PR#4488 patch

* Wed Mar 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.75.0-3
- Fixes for starlette 0.19.0

* Mon Mar 07 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.75.0-2
- Allow ujson 5.x

* Sat Mar 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.75.0-1
- Update to 0.75.0 (close RHBZ#2061006)

* Tue Feb 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.74.1-1
- Update to 0.74.1 (close RHBZ#2056645)

* Thu Feb 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.74.0-1
- Update to 0.74.0 (fix RHBZ#2055800)

* Wed Feb 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.73.0-1
- Update to 1.73.0 (close RHBZ#2038290)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.70.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.70.1-3
- Stop allowing older ujson verisons

* Wed Dec 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.70.1-2
- Allow pytest 7.x

* Sun Dec 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.70.1-1
- Update to 0.70.1 (close RHBZ#2031513)

* Fri Oct 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.70.0-4
- Allow PyYAML 6.x (fix RHBZ#2014588)

* Tue Oct 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.70.0-3
- Drop F35 anyio version workaround

* Tue Oct 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.70.0-2
- Drop anyio[trio] workaround; python3-anyio+trio now exists

* Fri Oct 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.70.0-1
- Update to 0.70.0 (close RHBZ#2011916)

* Fri Oct 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.69.0-1
- Update to 0.69.0

* Wed Oct 06 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.2-2
- Update dependency patches

* Wed Oct 06 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.2-1
- Update to 0.68.2 (close RHBZ#2010833)

* Fri Oct 01 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.1-6
- Drop the documentation subpackage entirely.

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.1-5
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.1-4
- Reduce spec file macro indirection

* Fri Sep 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.1-3
- No longer patch out typer-cli from [doc]

* Fri Sep 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.1-2
- Restore uvicorn[standard] dependency in fastapi[all]

* Tue Aug 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.1-1
- Update to 0.68.1 (close RHBZ#1997171)

* Wed Aug 11 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.0-3
- Disable mkdocs while it is orphaned

* Tue Aug 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.0-2
- No longer loosen version restriction for pytest-cov

* Thu Jul 29 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.68.0-1
- Update to 0.68.0 (closes RHBZ#1988152)

* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.67.0-9
- Patch around a tiny OpenAPI schema discrepancy

* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.67.0-8
- Move %%generate_buildrequires after %%prep to make the spec file easier
  to follow

* Fri Jul 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.67.0-7
- Add patch to support recent starlette

* Fri Jul 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.67.0-6
- Work around upstream issue #3512 to allow latest Pallets stack (flask,
  itsdangerous, jinja2)

* Fri Jul 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.67.0-5
- Temporarily work around out-of-date pytest-cov and broken uvicorn in
  F35/Rawhide

* Fri Jul 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.67.0-4
- Split pyproject.toml patches into separate sed invocations for clarity

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.67.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.67.0-2
- Remove a workaround for Fedora 34 and older

* Fri Jul 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.67.0-1
- Update to 0.67.0

* Tue Jul 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.66.1-1
- Update to 0.66.1 (fixes RHBZ#1983796)

* Fri Jul 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.66.0-1
- Update to 0.66.0 (fixes RHBZ#1978953)

* Thu Jun 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.65.2-2
- Allow aiofiles 0.7

* Wed Jun 09 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.65.2-1
- Update to 0.65.2 (fixes RHBZ#1969758, fixes CVE-2021-32677)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.65.1-5
- Rebuilt for Python 3.10

* Fri May 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.65.1-4
- Start successfully building the documentation (without typer-cli, and using
  the base mkdocs theme instead of mkdocs-material)

* Tue May 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.65.1-3
- De-conditionalize databases[sqlite] BR

* Fri May 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.65.1-2
- Add python-databases+sqlite BR where it is available

* Thu May 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.65.1-1
- New upstream release 0.65.1
- Allow newer sqlalchemy dependency version than that pinned upstream

* Mon May 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.65.0-1
- New upstream release 0.65.0
- Drop fastapi-0.63.0-pr-2335.patch, now upstream

* Sat May 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.64.0-1
- New upstream release 0.64.0
- Fix Korean summary

* Mon Apr 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.63.0-7
- Allow aiofiles 0.6.x: https://github.com/tiangolo/fastapi/pull/3075

* Tue Apr 06 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.63.0-6
- Do not use %%exclude for unpackaged files (RPM 4.17 compatibility)

* Sat Mar 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.63.0-5
- Typo fix in js-termynal symbolic links

* Thu Mar 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.63.0-4
- Improved source URL (better tarball name)

* Tue Mar 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.63.0-3
- Use system js-termynal to replace the (removed) bundled copy
- No longer need to work around missing python3dist(passlib[bcrypt]) on F35
- Fix typo in Summary(es)

* Tue Mar 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.63.0-2
- Drop python3dist(setuptools) BR, redundant with %%pyproject_buildrequires

* Sat Mar 06 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.63.0-1
- New upstream version 0.63.0
- Whitespace changes
- Drop obsolete %%python_provide macro
- Comment out orjson dependencies in package metadata
- Remove explicit/manual dependencies. This drops the hard dependency on uvicorn.
- Use pyproject-rpm-macros for generated BR’s
- Loosen all pinned dependencies
- Fix starlette 0.14.x compatibility
- Switch from PyPI tarball to GitHub tarball
- Add a metapackage for the “all” extra (which is really all-but-orjson)
- Add a separate -doc package; for now, we cannot build the HTML documentation,
  so we install the Markdown sources instead
- Improved and localized summaries and descriptions from upstream

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.61.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Oct  7 00:24:09 -03 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.61.1-2
- add missing deps.

* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.61.1-1
- Initial package.
- Fix license TAG.

